public class Process {
    
    private String id;
    private int arrive;
    private int execSize;
    private int tickets;

    //Constructors
    public Process(){
    }

    public Process(String idInput, int arriveInput, int execSizeInput, int ticketsInput) {
        id = idInput;
        arrive = arriveInput;
        execSize = execSizeInput;
        tickets = ticketsInput;
    }

    //Setters
    public void setId(String idInput){
        id = idInput;
    }

    public void setArrive(int arriveInput){
        arrive = arriveInput;
    }

    public void setSize(int execSizeInput){
        execSize = execSizeInput;
    }
    public void setTickets(int ticketsInput){
        tickets = ticketsInput;
    }

    //Getters
    public String getId(){
        return id;
    }

    public int getArrive(){
        return arrive;
    }    

    public int getExecSize(){
        return execSize;
    }  
    
    public int getTickets(){
        return tickets;
    }  
}